# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "plow_linter"
version = "0.2.6"
authors = [
    "Maximilian Goisser <max@field33.com>",
    "Ali Somay <ali@field33.com>",
]
description = "A linter to lint Plow ttl documents (interpreted as ontologies)."
license = "MIT OR Apache-2.0"
repository = "https://github.com/field33/plow/"
resolver = "1"

[dependencies.addr]
version = "0.15"

[dependencies.anyhow]
version = "1.0.53"
features = ["backtrace"]

[dependencies.aquamarine]
version = "0.1"

[dependencies.chashmap]
version = "2"

[dependencies.darc]
version = "0.0.1"

[dependencies.email_address]
version = "0.2"

[dependencies.field33_rdftk_core_temporary_fork]
version = "0.3"

[dependencies.field33_rdftk_iri_temporary_fork]
version = "0.1"

[dependencies.harriet]
version = "0.2"

[dependencies.nom]
version = "7"

[dependencies.plow_graphify]
version = "0.2"

[dependencies.plow_ontology]
version = "0.2"

[dependencies.plow_package_management]
version = "0.2"

[dependencies.rayon]
version = "1"

[dependencies.regex]
version = "1"

[dependencies.rustrict]
version = "0.5"

[dependencies.semver]
version = "1"

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.spdx]
version = "0.9"

[dependencies.tempdir]
version = "0.3"

[dependencies.thiserror]
version = "1"

[dependencies.uuid]
version = "1"
